## lomiri-terminal-app 1.0.3~git20221008.b07f08a

=== src/plugin/CMakeLists.txt ===
include(FindPkgConfig)
find_package(Qt5Core)
find_package(Qt5Qml)
find_package(Qt5Quick)
find_package(Qt5Widgets)

add_subdirectory(qmltermwidget)

=== debian/changelog ===
lomiri-terminal-app (1.0.3~git20221008.b07f08a-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1021437).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 08 Oct 2022 16:25:20 +0200

=== debian/control ===
Source: lomiri-terminal-app
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               pkg-config,
               dh-python,
               python3-all,
               gettext,
               libpam0g-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               xvfb,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qml-module-gsettings1.0,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-terminal-app
Vcs-Git: https://gitlab.com/ubports/development/apps/lomiri-terminal-app.git
Vcs-Browser: https://gitlab.com/ubports/development/apps/lomiri-terminal-app

Package: lomiri-terminal-app
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-lomiri-components-extras,
         qml-module-qtquick2,
         qml-module-lomiri-components,
         qml-module-qt-labs-settings,
         qml-module-qtsysteminfo (>= 5.0~),
         qml-module-gsettings1.0
Description: Terminal App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Terminal App.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCLICK_MODE=OFF

# Skip tests on the archs they are known to be flaky with current configuration
testskip_architectures := arm64 powerpc

override_dh_auto_test:
ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
	dh_auto_test
endif

override_dh_install:
	dh_install

	# drop autopilot test files
	rm debian/lomiri-terminal-app/usr/lib/python3 -Rfv

	# drop README.KeyTab file
	rm debian/lomiri-terminal-app/usr/lib/*/qt5/qml/QMLTermWidget/kb-layouts/README

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.0.3~git%cd.%h" \
https://gitlab.com/ubports/development/apps/lomiri-terminal-app \
HEAD debian uupdate

## lomiri-terminal-app 1.0.3~git20230107.278767e

=== CMakeLists.txt ===
project(lomiri-terminal-app C CXX)
cmake_minimum_required(VERSION 2.8.9)

include(FindGettext)
if(NOT GETTEXT_FOUND)
    message(FATAL_ERROR "Could not find gettext")
endif(NOT GETTEXT_FOUND)

set(CMAKE_AUTOMOC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra -fPIC")

# Enable QML debugging in debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG ")

# Standard install paths
include(GNUInstallDirs)

option(INSTALL_TESTS "Install the tests on make install" on)
option(CLICK_MODE "Installs to a contained location" on)

set(APP_NAME ${PROJECT_NAME})
set(DESKTOP_FILE "${PROJECT_NAME}.desktop")
set(APP_HARDCODE ${PROJECT_NAME})
set(MAIN_QML lomiri-terminal-app.qml)
set(ICON_FILE terminal-app.svg)
set(SPLASH_FILE terminal-app-splash.svg)
set(AUTOPILOT_DIR lomiri_terminal_app)
set(EXEC "${APP_NAME}")
set(MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
set(URLS_FILE "${APP_HARDCODE}.url-dispatcher")

if(CLICK_MODE)
    if(NOT DEFINED BZR_SOURCE)
        set(BZR_SOURCE "lp:${APP_HARDCODE}")
        message("-- Setting BZR_SOURCE to ${BZR_SOURCE}")
    endif(NOT DEFINED BZR_SOURCE)
    # Find out the architecture for package building
    # to determine the plugin's installation path
    execute_process(
        COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH
        OUTPUT_VARIABLE ARCH_TRIPLET
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    set(CMAKE_INSTALL_PREFIX /)
    set(CMAKE_INSTALL_BINDIR /)
    set(DATA_DIR /)
    set(DESKTOP_DIR ${DATA_DIR})
    set(URLS_DIR ${DATA_DIR})
    set(ICON ${ICON_FILE})
    set(SPLASH ${SPLASH_FILE})
    set(QT_IMPORTS_DIR "/lib/${ARCH_TRIPLET}")
    set(BIN_DIR /lib/${ARCH_TRIPLET}/bin)
    if(NOT BZR_REVNO)
      execute_process(
        COMMAND bzr revno
        OUTPUT_VARIABLE BZR_REVNO
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        OUTPUT_STRIP_TRAILING_WHITESPACE
      )
    endif(NOT BZR_REVNO)

    execute_process(
      COMMAND dpkg-architecture -qDEB_HOST_ARCH
      OUTPUT_VARIABLE CLICK_ARCH
      OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json terminal.apparmor DESTINATION ${CMAKE_INSTALL_PREFIX})

    # make the click files visible in qtcreator
    file(GLOB CLICK_FILES
         RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
         *.json *.json.in *.apparmor)

    add_custom_target(lomiri-terminal-app_CLICKFiles ALL SOURCES ${CLICK_FILES})
else(CLICK_MODE)
    set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
    set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
    set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
    set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
    set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
    set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${APP_NAME}.1 DESTINATION ${CMAKE_INSTALL_DATADIR}/man/man1)
endif(CLICK_MODE)

file(GLOB SRC_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.qml *.js *.png *.svg *.js)
install(FILES ${SRC_FILES}
    DESTINATION ${DATA_DIR})

# Make non compiled files visible in qtcreator
file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot *.apparmor qmldir)
add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})


configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)

add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}..."
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
    DESTINATION ${DESKTOP_DIR})

install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})

# Tests
enable_testing()

add_subdirectory(po)
add_subdirectory(tests)
add_subdirectory(src)

=== src/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -4,4 +4,4 @@
 find_package(Qt5Quick)
 find_package(Qt5Widgets)
 
-add_subdirectory(qmltermwidget)
+#add_subdirectory(qmltermwidget)

=== debian/changelog ===
lomiri-terminal-app (1.0.3~git20230107.278767e-1) unstable; urgency=medium

  * New git snapshot (1.0.3~git20230107.278767e)
  * [debian/[control,rules]]
    + Depend on qml-module-termwidget (closes: 1021541)
  * [debian/copyright]
    + Update copyright to match git snapshot

 -- Marius Gripsgard <marius@ubports.com>  Sat, 07 Jan 2023 20:44:12 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                qml-module-qtquick2,
                qml-module-qttest,
                qml-module-lomiri-components,
+               qml-module-termwidget,
                qml-module-gsettings1.0,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -31,9 +32,10 @@
          qml-module-lomiri-components-extras,
          qml-module-qtquick2,
          qml-module-lomiri-components,
+         qml-module-termwidget,
          qml-module-qt-labs-settings,
          qml-module-qtsysteminfo (>= 5.0~),
-         qml-module-gsettings1.0
+         qml-module-gsettings1.0,
 Description: Terminal App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating

## lomiri-terminal-app 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project(lomiri-terminal-app C CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5)
+project(lomiri-terminal-app VERSION 2.0.0 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -30,10 +30,10 @@
 set(URLS_FILE "${APP_HARDCODE}.url-dispatcher")
 
 if(CLICK_MODE)
-    if(NOT DEFINED BZR_SOURCE)
-        set(BZR_SOURCE "lp:${APP_HARDCODE}")
-        message("-- Setting BZR_SOURCE to ${BZR_SOURCE}")
-    endif(NOT DEFINED BZR_SOURCE)
+    if(NOT DEFINED GIT_SOURCE)
+        set(GIT_SOURCE "https://gitlab.com/ubports/development/apps/lomiri-terminal-app.git")
+        message("-- Setting GIT_SOURCE to ${GIT_SOURCE}")
+    endif(NOT DEFINED GIT_SOURCE)
     # Find out the architecture for package building
     # to determine the plugin's installation path
     execute_process(
@@ -50,14 +50,14 @@
     set(SPLASH ${SPLASH_FILE})
     set(QT_IMPORTS_DIR "/lib/${ARCH_TRIPLET}")
     set(BIN_DIR /lib/${ARCH_TRIPLET}/bin)
-    if(NOT BZR_REVNO)
+    if(NOT GIT_REV)
       execute_process(
-        COMMAND bzr revno
-        OUTPUT_VARIABLE BZR_REVNO
+        COMMAND git log --format='%h' -1
+        OUTPUT_VARIABLE GIT_REV
         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
         OUTPUT_STRIP_TRAILING_WHITESPACE
       )
-    endif(NOT BZR_REVNO)
+    endif(NOT GIT_REV)
 
     execute_process(
       COMMAND dpkg-architecture -qDEB_HOST_ARCH
@@ -114,4 +114,4 @@
 
 add_subdirectory(po)
 add_subdirectory(tests)
-add_subdirectory(src)
+add_subdirectory(app)

=== debian/changelog ===
lomiri-terminal-app (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/control:
    + Fix Vcs-*: fields. Packaging is on Salsa.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 20:54:07 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-terminal-app
-Vcs-Git: https://gitlab.com/ubports/development/apps/lomiri-terminal-app.git
-Vcs-Browser: https://gitlab.com/ubports/development/apps/lomiri-terminal-app
+Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-terminal-app.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-terminal-app
 
 Package: lomiri-terminal-app
 Architecture: any

## lomiri-terminal-app 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-terminal-app VERSION 2.0.0 LANGUAGES CXX)
+project(lomiri-terminal-app VERSION 2.0.1 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)

=== app/CMakeLists.txt ===
file(GLOB_RECURSE QML_SRCS *.qml *.js *.json *.png)

set(terminal_SRCS
    main.cpp
    fileio.cpp
    fonts.cpp
    shortcuts.cpp
    standardpaths.cpp
    ${QML_SRCS}
)

add_executable(lomiri-terminal-app ${terminal_SRCS})

qt5_use_modules(lomiri-terminal-app Gui Qml Quick Widgets)
target_link_libraries(lomiri-terminal-app stdc++)

if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
add_custom_target(terminal-qmlfiles ALL
    COMMAND cp -r ${CMAKE_CURRENT_SOURCE_DIR}/qml ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${QMLFILES}
)
endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

install(DIRECTORY qml DESTINATION ${DATA_DIR})
if(CLICK_MODE)
  install(TARGETS lomiri-terminal-app DESTINATION ${BIN_DIR})
else()
  install(TARGETS lomiri-terminal-app RUNTIME DESTINATION bin)
endif()

=== tests/autopilot/CMakeLists.txt ===
if(INSTALL_TESTS)
execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )
endif(INSTALL_TESTS)

=== debian/changelog ===
lomiri-terminal-app (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 14:39:22 +0100

lomiri-terminal-app (2.0.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 2001_use-noto-fonts.patch. Use 'Noto Mono' in Debian, as the 'Ubuntu'
      is only in non-free.
  * debian/control:
    + Add to D: fonts-noto-mono.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Feb 2023 22:36:16 +0100

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
          qml-module-qt-labs-settings,
          qml-module-qtsysteminfo (>= 5.0~),
          qml-module-gsettings1.0,
+         fonts-noto-mono,
 Description: Terminal App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,5 @@
 	# drop autopilot test files
 	rm debian/lomiri-terminal-app/usr/lib/python3 -Rfv
 
-	# drop README.KeyTab file
-	rm debian/lomiri-terminal-app/usr/lib/*/qt5/qml/QMLTermWidget/kb-layouts/README
-
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-terminal-app 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-terminal-app VERSION 2.0.1 LANGUAGES CXX)
+project(lomiri-terminal-app VERSION 2.0.2 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -25,7 +25,6 @@
 set(ICON_FILE terminal-app.svg)
 set(SPLASH_FILE terminal-app-splash.svg)
 set(AUTOPILOT_DIR lomiri_terminal_app)
-set(EXEC "${APP_NAME}")
 set(MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
 set(URLS_FILE "${APP_HARDCODE}.url-dispatcher")
 
@@ -50,6 +49,7 @@
     set(SPLASH ${SPLASH_FILE})
     set(QT_IMPORTS_DIR "/lib/${ARCH_TRIPLET}")
     set(BIN_DIR /lib/${ARCH_TRIPLET}/bin)
+    set(EXEC "lomiri-terminal-app-migrate.py ${APP_NAME}")
     if(NOT GIT_REV)
       execute_process(
         COMMAND git log --format='%h' -1
@@ -80,6 +80,7 @@
     set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
     set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
+    set(EXEC "${APP_NAME}")
     install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${APP_NAME}.1 DESTINATION ${CMAKE_INSTALL_DATADIR}/man/man1)
 endif(CLICK_MODE)
 
@@ -88,6 +89,8 @@
      *.qml *.js *.png *.svg *.js)
 install(FILES ${SRC_FILES}
     DESTINATION ${DATA_DIR})
+
+install(PROGRAMS lomiri-terminal-app-migrate.py DESTINATION ${DATA_DIR})
 
 # Make non compiled files visible in qtcreator
 file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot *.apparmor qmldir)

=== tests/qtquicktest/CMakeLists.txt ===
#find_program(XVFB_RUN_BIN xvfb-run)
#if(NOT XVFB_RUN_BIN)
#  message(FATAL_ERROR "Could not find xvfb-run, please install the xvfb package")
#endif()
#set(XVFB_RUN_CMD ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24")

include(FindPkgConfig)
find_package(Qt5Core)

# copy qml test files to build directory
if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
add_custom_target(qmlTestFiles ALL
    COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/*.qml ${CMAKE_CURRENT_BINARY_DIR}
)
endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

set(QTQUICK_TEST tst_qtquicktest)
add_executable(${QTQUICK_TEST} qtquicktest.cpp)
qt5_use_modules(${QTQUICK_TEST} Core Qml Quick Test QuickTest)
#add_test(${QTQUICK_TEST} ${XVFB_RUN_CMD} ${CMAKE_CURRENT_BINARY_DIR}/${QTQUICK_TEST})

=== debian/changelog ===
lomiri-terminal-app (2.0.2-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:42 +1100

lomiri-terminal-app (2.0.2-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:46:09 +0000

lomiri-terminal-app (2.0.2-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_use-lomiri-schemas.patch. Use com.lomiri.Shell when accessing
      always-show-osk gsetting (instead of com.canonical.Unity8).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Feb 2024 09:21:13 +0100

lomiri-terminal-app (2.0.2-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release
  * debian/control: Use my debian email
  * debian/copyright: refresh copyright to match new release
  * debian/rules: Drop click migration script, no need in debian

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 01 Feb 2024 23:51:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lomiri-terminal-app
 Section: misc
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-           Marius Gripsgard <marius@ubports.com>,
+           Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
                pkg-config,

=== debian/rules ===
--- 
+++ 
@@ -26,5 +26,8 @@
 	# drop autopilot test files
 	rm debian/lomiri-terminal-app/usr/lib/python3 -Rfv
 
+	# drop migration tests
+	rm debian/lomiri-terminal-app/usr/share/lomiri-terminal-app/lomiri-terminal-app-migrate.py
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/apps/lomiri-terminal-app/tags .*/lomiri-terminal-app-v(\d\S+)\.tar\.gz

## lomiri-terminal-app 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-terminal-app VERSION 2.0.2 LANGUAGES CXX)
+project(lomiri-terminal-app VERSION 2.0.3 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -75,13 +75,13 @@
     add_custom_target(lomiri-terminal-app_CLICKFiles ALL SOURCES ${CLICK_FILES})
 else(CLICK_MODE)
     set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
-    set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
-    set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
-    set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
+    set(DATA_DIR ${CMAKE_INSTALL_FULL_DATADIR}/${APP_NAME})
+    set(ICON ${DATA_DIR}/${ICON_FILE})
+    set(SPLASH ${DATA_DIR}/${SPLASH_FILE})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
     set(URLS_DIR ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls)
     set(EXEC "${APP_NAME}")
-    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${APP_NAME}.1 DESTINATION ${CMAKE_INSTALL_DATADIR}/man/man1)
+    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${APP_NAME}.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 endif(CLICK_MODE)
 
 file(GLOB SRC_FILES
@@ -112,6 +112,11 @@
 
 install(FILES ${URLS_FILE} DESTINATION ${URLS_DIR})
 
+find_package(Qt5Gui REQUIRED)
+find_package(Qt5Qml REQUIRED)
+find_package(Qt5Quick REQUIRED)
+find_package(Qt5Widgets REQUIRED)
+
 # Tests
 enable_testing()

=== debian/changelog ===
lomiri-terminal-app (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Drop 1001_use-lomiri-schemas.patch and 1002_show-keyboard-bar-and-
      settings-if-always-show-osk-is.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Sep 2024 10:46:44 +0200

lomiri-terminal-app (2.0.2-3) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/patches:
    + Add 1002_show-keyboard-bar-and-settings-if-always-show-osk-is.patch. Show
      keyboard bar and layout settings if always-show-osk is enabled.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 13 Mar 2024 12:59:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-terminal-app
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
@@ -20,7 +19,7 @@
                qml-module-lomiri-components,
                qml-module-termwidget,
                qml-module-gsettings1.0,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-terminal-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-terminal-app.git

## lomiri-terminal-app 2.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-terminal-app VERSION 2.0.3 LANGUAGES CXX)
+project(lomiri-terminal-app VERSION 2.0.4 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)

=== po/CMakeLists.txt ===
include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
  ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

add_custom_target(${POT_FILE} ALL
  COMMENT "Generating translation template"
  # Extract the translatable messages from the desktop file
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          --from-code=UTF-8
          --language=Desktop
          --package-name='${PROJECT_NAME}'
          --copyright-holder='Canonical Ltd.'
          -D ${CMAKE_BINARY_DIR}
          ${DESKTOP_FILE}.in
  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
          -D ${CMAKE_SOURCE_DIR}
          -D ${CMAKE_CURRENT_SOURCE_DIR}
          -D ${CMAKE_CURRENT_BINARY_DIR}
          --from-code=UTF-8
          --c++ --qt --add-comments=TRANSLATORS
          --keyword=tr --keyword=tr:1,2 --keyword=N_ --keyword=QT_TR_NOOP
          --package-name='${PROJECT}'
          --copyright-holder='Canonical Ltd.'
          --join-existing --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== debian/changelog ===
lomiri-terminal-app (2.0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2003_ignore-autopilot.patch. Skip building autopilot tests.
      (Closes: #1080932).
  * debian/control:
    + Drop from B-D: dh-python, python3-all. Not needed.
    + In B-D, switch from pkg-config to pkgconf.
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/rules:
    + No need to remove autopilot tests anymore.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 08 Mar 2025 10:12:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,6 @@
 override_dh_install:
 	dh_install
 
-	# drop autopilot test files
-	rm debian/lomiri-terminal-app/usr/lib/python3 -Rfv
-
 	# drop migration tests
 	rm debian/lomiri-terminal-app/usr/share/lomiri-terminal-app/lomiri-terminal-app-migrate.py

## lomiri-terminal-app 2.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-terminal-app VERSION 2.0.4 LANGUAGES CXX)
+project(lomiri-terminal-app VERSION 2.0.5 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,7 @@
 
 add_executable(lomiri-terminal-app ${terminal_SRCS})
 
-qt5_use_modules(lomiri-terminal-app Gui Qml Quick Widgets)
-target_link_libraries(lomiri-terminal-app stdc++)
+target_link_libraries(lomiri-terminal-app Qt5::Gui Qt5::Qml Qt5::Quick Qt5::Widgets stdc++)
 
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
 add_custom_target(terminal-qmlfiles ALL
@@ -21,9 +20,14 @@
 )
 endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
 
+target_include_directories(lomiri-terminal-app PRIVATE "${CMAKE_CURRENT_BINARY_DIR}")
+configure_file(config.h.in
+    config.h
+    @ONLY)
+
 install(DIRECTORY qml DESTINATION ${DATA_DIR})
 if(CLICK_MODE)
   install(TARGETS lomiri-terminal-app DESTINATION ${BIN_DIR})
 else()
-  install(TARGETS lomiri-terminal-app RUNTIME DESTINATION bin)
+  install(TARGETS lomiri-terminal-app RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 endif()

=== tests/CMakeLists.txt ===
add_subdirectory(autopilot)
add_subdirectory(qtquicktest)

=== tests/qtquicktest/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,8 @@
 #set(XVFB_RUN_CMD ${XVFB_RUN_BIN} -a -s "-screen 0 1024x768x24")
 
 include(FindPkgConfig)
-find_package(Qt5Core)
+find_package(Qt5Test REQUIRED)
+find_package(Qt5QuickTest REQUIRED)
 
 # copy qml test files to build directory
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
@@ -16,5 +17,5 @@
 
 set(QTQUICK_TEST tst_qtquicktest)
 add_executable(${QTQUICK_TEST} qtquicktest.cpp)
-qt5_use_modules(${QTQUICK_TEST} Core Qml Quick Test QuickTest)
+target_link_libraries(${QTQUICK_TEST} Qt5::Core Qt5::Qml Qt5::Quick Qt5::Test Qt5::QuickTest)
 #add_test(${QTQUICK_TEST} ${XVFB_RUN_CMD} ${CMAKE_CURRENT_BINARY_DIR}/${QTQUICK_TEST})

=== debian/changelog ===
lomiri-terminal-app (2.0.5-2) unstable; urgency=medium

  [ Robert Tari ]
  * debian/patches:
    + Add 2005_suppress-xkb-compose.patch. app/main.cpp: Suppress qt.xkb.compose
      error messages.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 20 Jun 2025 14:02:09 +0200

lomiri-terminal-app (2.0.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2004_hide-app-if-not-in-lomiri.patch.
    + Add header to 2001_use-noto-fonts.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 22:50:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,7 @@
            Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               pkg-config,
-               dh-python,
-               python3-all,
+               pkgconf,
                gettext,
                libpam0g-dev,
                qtbase5-dev,
@@ -19,7 +17,7 @@
                qml-module-lomiri-components,
                qml-module-termwidget,
                qml-module-gsettings1.0,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-terminal-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-terminal-app.git
